mpt_raid_phys_disk_pg0
Prev | Fusion message devices | Next

## Name

mpt_raid_phys_disk_pg0 — returns phys disk page zero

## Synopsis

`int mpt_raid_phys_disk_pg0 (` | MPT_ADAPTER * | ioc,
| u8 | phys_disk_num,
| pRaidPhysDiskPage0_t | phys_disk`)`;

## Arguments

`ioc`

  Pointer to a Adapter Structure

`phys_disk_num`

  io unit unique phys disk num generated by the ioc

`phys_disk`

  requested payload data returned

## Return

0 on success -EFAULT if read of config page header fails or data pointer not NULL -ENOMEM if pci_alloc failed

Prev | Up | Next
mptbase_sas_persist_operation | Home | mpt_findImVolumes